Bug 844994 - Unable to accept meeting request
Unable to accept meeting request
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evolution-ews (Show other bugs)
17
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-01 08:31 EDT by Louis van Dyk
Modified: 2013-07-31 23:45 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 23:45:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Louis van Dyk 2012-08-01 08:31:23 EDT
Description of problem:
I have an IMAP+ account to a Linux box in the "cloud" (set as default) and use EWS to communicate to the Corporate Exchange server.  

Accepting Meeting requests on the Exchange Calendar just don't work for me!


Version-Release number of selected component (if applicable):
evolution-mapi-3.4.3-5.fc17.x86_64
evolution-ews-3.4.3-1.fc17.x86_64
evolution-data-server-3.4.3-1.fc17.x86_64
evolution-3.4.3-2.fc17.x86_64
evolution-NetworkManager-3.4.3-2.fc17.x86_64
evolution-help-3.4.3-2.fc17.noarch


How reproducible:
It has never worked on Fedora 17.  (But on previous Fedora's the Calendar entries didn't sync nor could I update them - so this is already way better!)

Steps to Reproduce:
1.  My passwords are stored.
2.  I close evolution and ensure that no processes are running.
3.  I open evolution, which starts in the IMAP+ Folder.
4.  I open the Exchange tree, and open a message to make sure it has connected to Exchange.
5.  I open the Exchange Calendar, and see the items update.  Tasks also refresh.  I add an appointment for myself to verify I can write to the Calendar.
6.  I go back to the IMAP+ Folder and open a meeting request.
7.  In this case I get:
Failed to load the calendar 'Calendar' (Message did not receive a reply (timeout by message bus))
MOST other times it gets stuck on: Searching for an existing version of this appointment.  There is nothing I can do then but close it all - sometimes I have to kill it.  
  

Actual results:
Mostly it sticks on Searching for an existing version of this appointment.

Otherwise:
Failed to load the calendar 'Calendar' (Message did not receive a reply (timeout by message bus))


Expected results:
I should be able to accept a meeting request, and have it added to the Calendar.

Additional info:
Comment 1 Milan Crha 2012-08-02 02:30:01 EDT
Thanks for a bug report. It can mean that evolution-calendar-factory is stuck with some task and cannot respond (at least the timeout error suggests that). Could you install debuginfo packages for evolution-data-server, evolution and evolution-ews, of the same version as your binary packages are (rpm -qa | grep evolution | sort) and then get a backtrace of running calendar factory when you have this stuck state, please? You can get the backtrace with command like this:
   $ gdb --batch --ex "t a a bt" -pid=PID &>bt.txt
where PID is a process ID of running evolution-calendar-factory (ps ax | grep evolution). Before attaching it here, please make sure it'll not expose any private information, like passwords (I always search for "pass" (quotes for clarity only) in the bt.txt file).
Comment 2 Fedora End Of Life 2013-07-03 20:15:11 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-07-31 23:45:37 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.